{
    "version": "0.2.0",
    "configurations": [
        {
            "name": "C++ Launch",
            "type": "cppdbg",
            "request": "launch",
            "program": "${workspaceRoot}/apps/trident/bin/openrov-trident-rev10/trident.elf",
            "cwd": "${workspaceRoot}",
            "externalConsole": true,
            "filterStderr": true,
            "filterStdout": false,
            "targetArchitecture": "arm",
            "MIMode": "gdb",
            "miDebuggerPath": "/usr/bin/arm-none-eabi-gdb",
            "miDebuggerServerAddress": "192.168.1.36:3333",
            "serverStarted": "target\\ state:\\ halted"
        },
        {
            "name": "C++ Attach",
            "type": "cppdbg",
            "request": "attach",
            "program": "enter program name, for example ${workspaceRoot}/a.out",
            "processId": "${command.pickProcess}",
            "linux": {
                "MIMode": "gdb"
            },
            "osx": {
                "MIMode": "lldb"
            },
            "windows": {
                "MIMode": "gdb"
            }
        }
    ]
}